1. 法人实体
智书合同API
  • 智书开放平台概述
  • 开发对接流程
  • 基本概念
    • 应用鉴权
    • 用户身份体系
  • 对接方式
    • 选择对接方式
    • 【识别用户身份】选择自建应用的方式快速对接
    • 智书开平与飞书开平对接差异
      • 智书合同新用户流程差异
      • 从飞书合同迁移到智书合同流程差异
  • API调用指南
    • API列表
    • 频控策略
    • 调用流程
      • 流程概述
      • 获取访问凭证
      • 调用API
  • 事件订阅
    • 事件概述
    • 事件列表
    • 订阅流程
      • 获取 Encrypt Key
      • 获取 Verification Token
      • 添加事件
      • 接收并处理事件
      • 配置订阅方式
  • 认证及授权
    • 获取访问凭证
      • 获取 tenant_access_token
  • 智书合同
    • 合同类型
      • 查询合同类型目录
    • 模版管理
      • 查看模板列表
      • 创建模版实例
      • 查看模版详情
    • 文件管理
      • 上传合同相关文件
      • 下载合同相关文件
    • 合同管理
      • 事件
        • 协商事件
        • 合同信息变更
        • 合同状态变更
        • 合同分享事件
        • 取消合同分享事件
      • form表单、币种、国家说明
        • 合同创建Form组件说明
        • 币种说明
        • 国家地区编码
      • 创建合同
      • 删除草稿合同
      • 提交合同
      • 重新提交合同
      • 更新合同
      • 更新合同字段信息
      • 查看合同详情
      • 搜索合同
      • 根据合同编号查询
      • 合同协商操作记录信息查询
      • 合同电子签转纸质签
      • 查询合同分享记录
    • 付款
      • 事件
        • 合同新建付款
      • 创建付款申请
      • 更新付款信息
      • 查看付款信息
      • 查询付款申请列表
    • 付款计划
      • 同步付款记录
      • 搜索付款计划
    • 付款记录
      • 创建付款记录
      • 更新付款记录
      • 查询付款记录详情
      • 根据付款计划id查询付款记录
    • 审批管理
      • 发起流程审批
      • 查询审批实例详情
    • 合同权限管理
      • 授予合同权限
      • 合同分享
    • 文件
      • 生成合同打印文件
    • 合同协商
      • 查询合同协商邀请链接
    • 电子签
      • 获取个人认证&授权页面链接
      • 获取机构认证&授权页面链接
    • 审批事件
      • 审批-待办任务变更
      • 审批-抄送、知会状态变更
    • 事件ip
      • 获取事件出口IP
    • 审批矩阵
      • 矩阵-预发布规则表配置
      • 矩阵-发布规则表配置
      • 矩阵-查询规则表列表
      • 矩阵-查询规则表列头信息
      • 矩阵-创建规则表行
      • 矩阵-删除规则表行
      • 矩阵-修改规则表行
      • 矩阵-根据行ID查询规则表单行信息
      • 矩阵-根据筛选条件查询规则表行信息列表
      • 矩阵-查询规则表行信息列表
  • 智书主数据
    • 固定汇率
      • 更新固定汇率
      • 查询固定汇率
    • 交易方
      • 事件
        • 交易方-基础信息变更
        • 交易方-公司视图变更
        • 交易方-联系人变更
        • 交易方-经营地址变更
        • 交易方-银行账户变更
      • 创建交易方
      • 更新交易方
      • 获取交易方
      • 获取单个交易方信息
      • 获取交易方全量数据
      • 根据证件id精确查询交易方
      • 字段配置查询
    • 法人实体
      • 创建法人实体
        POST
      • 更新法人实体信息
        PUT
      • 获取法人实体
        GET
      • 获取单个法人实体信息
        GET
      • 获取法人实体全量数据
        GET
    • 文件
      • 下载主数据附件
  • 第三方系统相关配置
    • 关联单据
      • 关联前置单据
    • 外部数据回填
      • 表单字段回填
      • 审批人回填
    • 外部校验
      • 外部校验
  1. 法人实体

创建法人实体

POST
https://open.qfei.cn/open-apis/mdm/v1/legal_entities
根据该接口,来创建一个法人实体,字段是否必填是根据后台动态配置的,如想获取配置,主数据的配置开放文档里获取。参数均采用驼峰式

请求说明:#

接口频率限制1000 次/分钟、50 次/秒
权限要求查看、创建、编辑主数据的法人实体相关信息

请求参数

Authorization
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
Query 参数

Header 参数

Body 参数application/json必填

示例
{
    "legalEntity": "L00002002",
    "legalEntityText": "法人22",
    "shortText": "legalPerson",
    "certificationType": "0",
    "certificationId": "",
    "legalPerson": "张三",
    "country": "CN",
    "province": "MDPS00004000",
    "city": "MDCY00006000",
    "address": "地址",
    "taxpayerType": "1",
    "telephone": "",
    "bankId": "MDBK00072319",
    "bankName": "中原银行股份有限公司南阳华瑞支行",
    "bankAccount": "644666446",
    "status": 1,
    "appendix": [
                    {
                        "tenantId": "6977354570259330000",
                        "fileId": "609a128628ad4eaebd3063c59928a103",
                        "fileName": "xxxx.xlsx",
                        "fileType": "XLSX",
                        "fileSize": 13367,
                        "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                    }
                ],
    "legalEntityBanks": [
        {
            "companyCode": "1002",
            "bankId": "MDBK00131739",
            "bankCode": "001755053005",
            "bankName": "中国人民银行丽江市中心支行",
            "bankAcronym": "PBC",
            "country": "CN",
            "accountName": "账户名称",
            "bankAccount": "122907287xxxxx9",
            "swiftCode": "CMBCCNBS",
            "bankControlCode": "40001xxxxxxx00313261",
            "extendInfo": [
                {
                    "fieldType": 0,
                    "fieldValue": "文本值",
                    "options": [
                        ""
                    ],
                    "num": 1.11,
                    "date": "2021-10-14",
                    "rangeDate": [
                        ""
                    ],
                    "fieldCode": "LXX0000001",
                    "appendix": [
                                     {
                                         "tenantId": "6977354570259330000",
                                         "fileId": "609a128628ad4eaebd3063c59928a103",
                                         "fileName": "xxxx.xlsx",
                                         "fileType": "XLSX",
                                         "fileSize": 13367,
                                         "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                                     }
                                 ]
                }
            ],
            "ibanAccount": "6446777"
        }
    ],
    "extendInfo": [
        {
            "fieldType": 0,
            "fieldValue": "文本值",
            "options": [
                ""
            ],
            "num": 1.11,
            "date": "2021-10-14",
            "rangeDate": [
                ""
            ],
            "fieldCode": "T0001",
            "appendix": [
                             {
                                 "tenantId": "6977354570259330000",
                                 "fileId": "609a128628ad4eaebd3063c59928a103",
                                 "fileName": "xxxx.xlsx",
                                 "fileType": "XLSX",
                                 "fileSize": 13367,
                                 "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                             }
                         ]
        }
    ]
    "accountName": "12",
    "bankControlCode": "12",
    "swiftCode": "123",
    "clearingAccount": "12333"
}

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://open.qfei.cn/open-apis/mdm/v1/legal_entities?user_id=123123123123123&user_id_type=user_id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "legalEntity": "L00002002",
    "legalEntityText": "法人22",
    "shortText": "legalPerson",
    "certificationType": "0",
    "certificationId": "",
    "legalPerson": "张三",
    "country": "CN",
    "province": "MDPS00004000",
    "city": "MDCY00006000",
    "address": "地址",
    "taxpayerType": "1",
    "telephone": "",
    "bankId": "MDBK00072319",
    "bankName": "中原银行股份有限公司南阳华瑞支行",
    "bankAccount": "644666446",
    "status": 1,
    "appendix": [
                    {
                        "tenantId": "6977354570259330000",
                        "fileId": "609a128628ad4eaebd3063c59928a103",
                        "fileName": "xxxx.xlsx",
                        "fileType": "XLSX",
                        "fileSize": 13367,
                        "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                    }
                ],
    "legalEntityBanks": [
        {
            "companyCode": "1002",
            "bankId": "MDBK00131739",
            "bankCode": "001755053005",
            "bankName": "中国人民银行丽江市中心支行",
            "bankAcronym": "PBC",
            "country": "CN",
            "accountName": "账户名称",
            "bankAccount": "122907287xxxxx9",
            "swiftCode": "CMBCCNBS",
            "bankControlCode": "40001xxxxxxx00313261",
            "extendInfo": [
                {
                    "fieldType": 0,
                    "fieldValue": "文本值",
                    "options": [
                        ""
                    ],
                    "num": 1.11,
                    "date": "2021-10-14",
                    "rangeDate": [
                        ""
                    ],
                    "fieldCode": "LXX0000001",
                    "appendix": [
                                     {
                                         "tenantId": "6977354570259330000",
                                         "fileId": "609a128628ad4eaebd3063c59928a103",
                                         "fileName": "xxxx.xlsx",
                                         "fileType": "XLSX",
                                         "fileSize": 13367,
                                         "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                                     }
                                 ]
                }
            ],
            "ibanAccount": "6446777"
        }
    ],
    "extendInfo": [
        {
            "fieldType": 0,
            "fieldValue": "文本值",
            "options": [
                ""
            ],
            "num": 1.11,
            "date": "2021-10-14",
            "rangeDate": [
                ""
            ],
            "fieldCode": "T0001",
            "appendix": [
                             {
                                 "tenantId": "6977354570259330000",
                                 "fileId": "609a128628ad4eaebd3063c59928a103",
                                 "fileName": "xxxx.xlsx",
                                 "fileType": "XLSX",
                                 "fileSize": 13367,
                                 "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                             }
                         ]
        }
    ]
    "accountName": "12",
    "bankControlCode": "12",
    "swiftCode": "123",
    "clearingAccount": "12333"
}'

返回响应

🟢200成功
application/json
Body

示例
{
    "code": 0,
    "msg": "success",
    "data": {
            "legalEntity": "L00002002",
            "legalEntityText": "法人22",
            "shortText": "legalPerson",
            "certificationType": "0",
            "certificationId": "",
            "legalPerson": "张三",
            "country": "CN",
            "province": "MDPS00004000",
            "city": "MDCY00006000",
            "address": "地址",
            "taxpayerType": "1",
            "telephone": "",
            "bankId": "MDBK00072319",
            "bankName": "中原银行股份有限公司南阳华瑞支行",
            "bankAccount": "644666446",
            "status": 1,
            "appendix": [
                            {
                                "tenantId": "6977354570259330000",
                                "fileId": "609a128628ad4eaebd3063c59928a103",
                                "fileName": "xxxx.xlsx",
                                "fileType": "XLSX",
                                "fileSize": 13367,
                                "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                            }
                        ],
            "legalEntityBanks": [
                {
                    "id": "1433492736852541442",
                    "companyCode": "1002",
                    "bankId": "MDBK00131739",
                    "bankCode": "001755053005",
                    "bankName": "中国人民银行丽江市中心支行",
                    "bankAcronym": "PBC",
                    "country": "CN",
                    "accountName": "账户名称",
                    "bankAccount": "122907287xxxxx9",
                    "swiftCode": "CMBCCNBS",
                    "bankControlCode": "40001xxxxxxx00313261",
                    "extendInfo": [
                        {
                            "fieldType": 0,
                            "fieldValue": "文本值",
                            "options": [
                                ""
                            ],
                            "num": 1.11,
                            "date": "2021-10-14",
                            "rangeDate": [
                                ""
                            ],
                            "fieldCode": "LXX000001",
                            "appendix": [
                                             {
                                                 "tenantId": "6977354570259330000",
                                                 "fileId": "609a128628ad4eaebd3063c59928a103",
                                                 "fileName": "xxxx.xlsx",
                                                 "fileType": "XLSX",
                                                 "fileSize": 13367,
                                                 "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                                             }
                                         ]
                        }
                    ],
                    "ibanAccount": "6446777"
                }
            ],
            "extendInfo": [
                {
                    "fieldType": 0,
                    "fieldValue": "文本值",
                    "options": [
                        ""
                    ],
                    "num": 1.11,
                    "date": "2021-10-14",
                    "rangeDate": [
                        ""
                    ],
                    "fieldCode": "LXX0000001",
                    "appendix": [
                                     {
                                         "tenantId": "6977354570259330000",
                                         "fileId": "609a128628ad4eaebd3063c59928a103",
                                         "fileName": "xxxx.xlsx",
                                         "fileType": "XLSX",
                                         "fileSize": 13367,
                                         "downloadUrl": "https://xxxx.qfei.cn/downloadxxxxxxxxxx"
                                     }
                                 ]
                }
            ],
              "accountName": "12",
              "bankControlCode": "12",
              "swiftCode": "123",
              "clearingAccount": "12333"
    }
}
修改于 2025-11-17 09:23:55
上一页
字段配置查询
下一页
更新法人实体信息
Built with